from setuptools import setup
import os
import sys
#sys.path.append("/sw/lib/python2.3/lib-dynload")

NAME = "Juice"
DESCRIPTION = "Juice, the cross-platform podcast receiver."
VERSION = '2.2.3'
ICON = "icepodder.icns"

DATA_FILES  = [
        'favorites.txt',
	'gpl.txt',
        'gui',
	'gui/CastPodder.xrc', 
	'icons_status',
	'images',
    'ipodder',
        'localization',
        'plugins',
        'compat',
        'docs', 
        'icepodder.icns',
]

infoPlist = dict (
	#metadata
	CFBundleName = NAME,
	CFBundleVersion = VERSION,
	CFBundleGetInfoString = DESCRIPTION,
	CFBundleIconFile = ICON,
)

#constants for file type
MR_EXTENSION = "rss"
MR_MIME_TYPE = "application/rss+xml"

infoPlist["CFBundleDocumentTypes"] = [
    { "CFBundleTypeExtensions" : [MR_EXTENSION],
      "CFBundleTypeMIMETypes" : [MR_MIME_TYPE],
      "CFBundleTypeName": "Podcast Document",
      "CFBundleTypeIconFile": "icepodder.icns",
      "LSIsAppleDefaultForType": True,
      "CFBundleTypeRole": "Viewer"}]

#Requires a GURL listener.
infoPlist["CFBundleURLTypes"] = [
                       { "CFBundleURLSchemes" : ['pcast'],
                         "CFBundleURLName": "Podcast URL",
                         "CFBundleTypeRole": "Viewer",
                         "LSIsAppleDefaultForType": "yes" }]

infoPlist["CFBundleShortVersionString"] = VERSION
infoPlist["CFBundleSignature"] = "IpdR"

py2app_options = dict(
        plist=infoPlist,
        #includes=['iPodderGui'],
)

setup(	
	app = ['CastPodderGui.py'],
    setup_requires=['py2app'],
	data_files = DATA_FILES,
	options=dict(py2app=py2app_options,),
)
