#!/bin/bash
# IcePodder linux installer 2.1
#
# Created by Scott Grayban <sgrayban@castpodder.net>
# Copyright (c) 2005-2006 Scott Grayban and the CastPodder Team
# Numly ESN: 14249-060713-596240-84 (c) 2006
# http://www.numly.com/numly/verify.asp?id=14249-060713-596240-84
#
# Last updated: $Date: 2006-07-29 00:23:42 -0700 (Sat, 29 Jul 2006) $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# $Id: install.sh 117 2006-07-29 07:23:42Z sgrayban $
#
#########################################################
#
# lets define all our variables first
# this really makes the script easier to change if needed

NAME="IcePodder"
NAME2="icepodder"
NAME3="iPodder"
INSTALLER_NAME="$NAME uninstaller"
INSTALLER_VERSION="2.2"
INSTALLER_PATH="/usr/share/${NAME2}"
INSTALLER_BIN="/usr/bin"
INSTALLER_COPYRIGHT="Copyright 2006, ${NAME} Team"
INSTALLER_LICENSE="
${NAME} comes with ABSOLUTELY NO WARRANTY. This is free
software, and you are welcome to redistribute it under the terms
of the GNU General Public License.
See LICENSE for details.
"
SUPPORT="http://icepodder.fryingoverajungle.net/forum/"
WEBSITE="http://icepodder.fryingoverajungle.net"

# Clean active window
clear

echo "Welcome to the ${INSTALLER_NAME}"
echo "${INSTALLER_NAME} written by Scott Grayban"
echo "${INSTALLER_NAME} ${INSTALLER_VERSION} (${INSTALLER_COPYRIGHT})"
echo "${INSTALLER_LICENSE}"
echo "---------------"
echo ""

#check if we are root to uninstall
echo $N "Checking UID... "
if [ `id -u` = "0" ]
  then
    echo "GOOD! you're root."
    echo ""
  else
    echo "Sorry, you have to be 'root'. Please su(do) and try again"
    echo ""
    exit 1
fi

echo "Starting uninstallation"
echo ""
/bin/rm -fr ${INSTALLER_PATH}

echo ""
echo "Removing symbolic links to binary..."
rm ${INSTALLER_BIN}/${NAME}
rm ${INSTALLER_BIN}/${NAME2}
rm ${INSTALLER_BIN}/${NAME3}

echo "Uninstallation finished"
echo ""

